<?php include("includes/session.php");?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
	<title>Техподдержка</title>
<?php
$_SESSION['auth'] = md5(uniqid(microtime()));
//check for fhd_config
$filename = 'fhd_config.php';
if (!file_exists($filename)) {
	define('css', 'css/bootstrap.min.css');
    echo "<p></p><strong>Внимание:</strong> Необходимо произвести настройку программы</p>";
    echo "<p>Проверьте <strong>fhd_config.php</strong>.</p>";
    echo "<p>Если это новая установка приложения, выможете <strong>переименовать fhd_config_sample.php в fhd_config.php</strong></p>";
    echo "<p>Откройте fhd_config.php в текстовом редакторе и <strong>укажите свои настройки</strong>.</p>";
    echo "<p>Более подробная информация содержится в <a href='readme.htm' target='_blank'>в файле readme</a>.</p>";
	include("includes/footer.php");
	exit;
}

include("fhd_config.php");
include("includes/header.php");

//check database settings.
include("includes/ez_sql_core.php");
include("includes/ez_sql_mysqli.php");
$db = new ezSQL_mysqli(db_user,db_password,db_name,db_host); 
$db->query("SET NAMES 'utf8'");
$SCHEMA_NAME = $db->get_var("SELECT SCHEMA_NAME FROM INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME = '".db_name."';");
if ($SCHEMA_NAME <> db_name) {
    echo "<p></p><strong>Внимание:</strong> Необходимо произвести настройку программы</p>";
	echo "<p>Параметры подключения к базе данных в fhd_config.php заданы неверно, база [ ".db_name." ] не существует, подробнее <a href='readme.htm' target='_blank'>в файле readme</a>.</p>";
	include("includes/footer.php");
	exit;
}

//check if tables actually exist.
$user_table_exists = $db->get_var("SHOW TABLES LIKE 'site_users';");
if ($user_table_exists <>  "site_users") {
    echo "<p></p><strong>Внимание:</strong> Необходимо произвести настройку программы</p>";
	echo "<p>Одна или несколько таблиц не найдены в базе данных (named: ".db_name."). Импортируйте данные из <strong>site.sql</strong>. подробнее <a href='readme.htm' target='_blank'>в файле readme</a>.</p>";
	include("includes/footer.php");
	exit;
}

//create upload table if it does not exist.
$upload_exists = $db->get_var("SHOW TABLES LIKE 'site_upload';");
if ($upload_exists <>  "site_upload") {
	$db->query("CREATE TABLE `site_upload` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `call_id` int(11) NOT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  `file_ext` varchar(4) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `call_id` (`call_id`)
) ;");
}

//create options table if it does not exist.
$options_exists = $db->get_var("SHOW TABLES LIKE 'site_options';");
if ($options_exists <>  "site_options") {
	$db->query("CREATE TABLE `site_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `option_name` varchar(255) DEFAULT NULL,
  `option_value` varchar(500) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `option_name` (`option_name`)
) ;");
	$db->query("INSERT INTO site_options(option_name) VALUES ('encrypted_passwords');");
	}

if(isset($_SESSION['user_id'])){
	$user_id = $_SESSION['user_id'];
	include("includes/all-nav.php");
	echo "<p>Добро пожаловать!</p>";
	echo "<p><a href='fhd_dashboard.php'>Портал технической поддержки</a></p>";
}else{
?>	

<?php
//limit login tries.
if (isset ( $_SESSION['hit'] ) ) {
	if ($_SESSION['hit'] > LOGIN_TRIES){
		echo "<p><i class='fa fa-lock fa-2x pull-left'></i> Доступ запрещен</p>";
		include("includes/footer.php");
		exit;
	}
}
?>

<h2><?php echo FHD_TITLE;?></h2>

<?php
if ( isset ($_GET['loggedout']) ) {
echo "<div class=\"alert alert-success\" style=\"max-width: 350px; text-align: center;\"><strong>Вы вышли из системы </strong><button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button></div>";
}
?>

<?php
if (ALLOW_ANY_ADD == 'yes') {
	echo "<h4><a href='fhd_any_call_add.php' class='btn btn-success'>Подать заявку <i class='glyphicon glyphicon-new-window'></i></a></h4>";
	echo "<hr>";
	echo "<p>или войти</p>";
}
?>

<form action="fhd_login.php" method="post" class="form-horizontal" role="form">

<div class="form-group">
	<label class="col-sm-2 control-label" for="inputEmail">Имя пользователя</label>
	<div class="col-sm-3">
	<input type="text" id="inputEmail" name="user_login" placeholder="Ваш e-mail или логин" required>
	</div>
</div>

<div class="form-group">
	<label class="col-sm-2 control-label" for="inputPassword">Пароль</label>
	<div class="col-sm-3">
	<input type="password" id="inputPassword" name="user_password" placeholder="Ваш пароль" required>
	</div>
</div>

 <div class="form-group">
    <div class="col-sm-offset-2 col-sm-10">
      <button type="submit" class="btn btn-primary">Войти</button>
    </div>
  </div>
</form>

<p><?php if (ALLOW_REGISTER == "yes"){?>
<a href="fhd_register.php" class="btn btn-default">Регистрация</a>  
<?php } ?> <a href="fhd_forgotpassword.php" class="btn btn-default">Забыли пароль?</a></p>
<?php }?>

<?php include("includes/footer.php");?>	
